Subject: Re: bug#73862: [PATCH] Add `header-line-active` and `header-line-inactive` faces.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Jan 2025 13:47:46 +0200

> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked]
> Date: Sun, 22 Dec 2024 17:52:25 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Eshel Yaron <[email-masked]>
> > Cc: Eli Zaretskii <[email-masked]>,  [email-masked],
> >   [email-masked],  [email-masked],  [email-masked],
> >  Ihor Radchenko <[email-masked]>
> > Date: Sat, 14 Dec 2024 10:45:45 +0100
> > 
> > Eshel Yaron writes:
> > 
> > >>> Aaron shared a recipe to reproduce this behavior, copied here:
> > >>> 
> > >>> --8<---------------cut here---------------start------------->8---
> > >>> (setq header-line-format "Some header")
> > >>> (face-remap-set-base 'header-line 'highlight)
> > >>> (switch-to-buffer-other-window "new")
> > >>> ;; In new buffer/window:
> > >>> (setq header-line-format "Some header")
> > >>> (other-window 1)
> > >>> ;; In original buffer/window:
> > >>> (set-face-attribute 'default nil :height (+ (face-attribute 'default :height) 10))
> > >>> --8<---------------cut here---------------end--------------->8---
> > >>
> > >> Are you also change the attributes of the default face to cause the
> > >> "spreading"?  If not, please show a recipe.  Because I was unable to
> > >> see this without something like the last line of the recipe, and also
> > >> that line _must_ be in the buffer where header-line is remapped,
> > >> otherwise the effect is not seen.
> > >
> > > Yes, I used C-x C-M-= in the buffer in which I remapped header-line.
> > 
> > Note that this issue also affects Org: org-columns remaps header-line in
> > org-columns--display-here.  (CC'ing Ihor.)
> 
> Please try the patch below.  If it gives good results, please run with
> it for awhile, and tell if you see anything unusual or unexpected.

No complaints, so are you okay with me installing the change on the
master branch?